import QtQuick 2.15
import QtQuick.Controls 2.12
import QtQuick.Layouts 1.12





RowLayout {

    id: rl
     property string tt2: "v"
    property alias cb_text: cb.currentText
    property alias cb_num: cb.currentIndex
    property double wwidth: 0
     //property ListModel a
     //implicitHeight: 30
     implicitWidth: parent.width

     function change_displayed_number ( a)
     {
         cb.currentIndex = a
     }




        Text{
            id: txt
            text: tt2
            //Layout.preferredWidth: parent.width/1.5
            Layout.alignment: Qt.AlignLeft
           //Layout.fillWidth: true
            //anchors.verticalCenter: parent.verticalCenter
            //anchors.right: parent.left
        }

        Item {
            Layout.fillWidth: true
        }



        ComboBox{
            id: cb
            //anchors.verticalCenter: parent.verticalCenter
            //anchors.fill: parent
            //anchors.right: parent.right
            Layout.preferredWidth: wwidth
            model: _network.qstops
            Layout.alignment: Qt.AlignRight
            Layout.fillWidth: true
        }

}
